import request from '@/utils/request'

// 获取批发时间段
export function getWholeTimeArea(data) {
	return request({
		url: '/api/whole/index',
		method: 'get',
		data
	});
}

// 获取批发商品列表
export function getWholeList(data,id) {
	return request({
		url: '/api/whole/list/' + id,
		method: 'get',
		data
	});
}

// 获取批发商品详情
export function getWholeDetai(data,id,time,status,is_new) {
	return request({
		url: '/api/whole/detail/' + id + '/' + time + '/' + status + '/' + is_new,
		method: 'get',
		data
	});
}

// 预约包
export function reservePackage(data) {
	return request({
		url: '/api/package/reserve',
		method: 'post',
		data
	});
}

// 我的包
export function getMyPackage(data) {
	return request({
		url: '/api/package/mylist',
		method: 'post',
		data
	});
}


// 上传评证
export function upEvaluation(data) {
	return request({
		url: '/api/package/evaluation',
		method: 'post',
		data
	});
}

// 获取审核列表
export function getMySellout(data) {
	return request({
		url: '/api/package/order',
		method: 'post',
		data
	});
}

// 获取新人礼包
export function getNewList(data) {
	return request({
		url: '/api/whole/news',
		method: 'get',
		data
	});
}

// 拒绝
export function packageAudit(data) {
	return request({
		url: '/api/package/audit',
		method: 'post',
		data
	});
}

//获取普通批发商品详情
export function getWholeInfo(data,id) {
	return request({
		url: '/api/package/info/' + id,
		method: 'get',
		data
	});
}

//提货package/take_delivery/:id
export function delivery(data,id) {
	return request({
		url: '/api/package/take_delivery/' + id,
		method: 'get',
		data
	});
}